clashman_Header:
        smpsHeaderStartSong 1
        smpsHeaderVoice     clashman_Voices
        smpsHeaderChan      $06, $02
        smpsHeaderTempo     $02, $03

        smpsHeaderDAC       clashman_DAC
        smpsHeaderFM        clashman_FM1,       $00, $11
        smpsHeaderFM        clashman_FM2,       $00, $11
        smpsHeaderFM        clashman_FM3,       $00, $12
        smpsHeaderFM        clashman_FM4,       $00, $1E
        smpsHeaderFM        clashman_FM5,       $00, $0D
        smpsHeaderPSG       clashman_PSG1,      $00, $04, $00, fTone_05
        smpsHeaderPSG       clashman_PSG2,      $00, $04, $00, fTone_05

; DAC Data
clashman_DAC:
        smpsPan             panCenter, $00
        dc.b    dKick

clashman_Loop00:
        dc.b    $03, $03, dSnare, dKick
        smpsLoop            $00, $10, clashman_Loop00
        dc.b    dKick, dKick, dKick, dKick, dKick, dSnare, $06, $03, $03, $03, $03, $03
        dc.b    dKick, dKick, dKick

clashman_Loop01:
        dc.b    dKick, dKick, dKick, dSnare
        smpsLoop            $00, $30, clashman_Loop01
        dc.b    dKick, dSnare, dSnare, dSnare, dSnare, $06, $03, $03, dKick, dKick, dKick, $2D
        smpsJump            clashman_DAC

; FM1 Data
clashman_FM1:
        smpsSetvoice        $00

clashman_Jump02:
        smpsPan             panCenter, $00
        dc.b    nBb4, $06, nF5, nEb5, $03, nCs5, $06, nC5, $03, nRst, nBb4, $06
        dc.b    $03, nC5, $06, nCs5, nBb4, nF5, nEb5, $03, nCs5, $06, nC5, $03
        dc.b    nRst, nBb4, $06, $03, nF5, nEb5, nCs5, nEb5, nAb4, $06, nEb5, nCs5
        dc.b    $03, nC5, $06, nBb4, $03, nRst, nAb4, $06, $03, nBb4, $06, nC5
        dc.b    nAb4, nEb5, nCs5, $03, nC5, $06, nBb4, $03, nRst, nAb4, $06, $03
        dc.b    nCs5, nC5, nBb4, nC5, nC5, nC5, nC5, nC5, nC5, nCs5, $06, nBb4
        dc.b    $03, nRst, $1E, nF5, $06, nEb5, $03, nCs5, $06, nC5, $03, nRst
        dc.b    nBb4, $06, $03, nC5, $06, nCs5, nRst, nF5, nEb5, $03, nCs5, $06
        dc.b    nC5, $03, nRst, nBb4, $06, $06, nRst, $03, nCs5, $06, nAb4, $18
        dc.b    nBb4, nC5
        smpsAlterVol        $FF
        dc.b    nAb5, nRst, $06
        smpsAlterVol        $01
        dc.b    nF5, nEb5, $03, nCs5, $06, nC5, $03, nRst, nBb4, $06, $03, nC5
        dc.b    $0C, nRst, $06, nF5, nEb5, $03, nCs5, $06, nC5, $03, nRst, nBb4
        dc.b    $06, $03, nC5, $0C, nAb4, $18, nBb4, nC5, nCs5, $0C, nEb5

clashman_Loop0E:
        dc.b    nF5, $06, nEb5, $03, nCs5, $0F, nF5, $06, nEb5, $03, nCs5, $06
        dc.b    nEb5, $03, nF5, nAb5, $09, nEb5, $12, nC4, $06, nCs4, nEb4, $03
        dc.b    nF4, $09
        smpsLoop            $00, $02, clashman_Loop0E
        dc.b    nF5, $03, $03, $03, $06, $03, $03, nC5, nRst, nC5, nCs5, $0C
        dc.b    nRst, $1E
        smpsJump            clashman_Jump02

; FM2 Data
clashman_FM2:
        smpsSetvoice        $00

clashman_Jump01:
        smpsPan             panCenter, $00
        dc.b    nRst, $7F, nRst, $41, nAb4, $03, $03, $03, $03, $03, nBb4, $06
        dc.b    nF4, $03, nRst, $1E, nCs5, $06, nC5, $03, nBb4, $06, nAb4, $03
        dc.b    nRst, nF4, $06, $03, nAb4, $06, nBb4, nRst, nCs5, nC5, $03, nBb4
        dc.b    $06, nAb4, $03, nRst, nF4, $06, $03, nAb4, $06, nBb4
        smpsSetvoice        $04
        dc.b    nAb5, $03, nCs6, nF6, nAb5, nCs6, nF6, nAb5, nCs6, nBb5, nCs6, nF6
        dc.b    nBb5, nCs6, nF6, nBb5, nCs6, nC6, nCs6, nF6, nC6, nCs6, nF6, nC6
        dc.b    nCs6, nCs6, nEb6, nAb6, nCs6, nEb6, nAb6, nCs6, nEb6
        smpsSetvoice        $00

clashman_Loop0C:
        dc.b    nRst, $06, nCs5, nC5, $03, nBb4, $06, nAb4, $03, nRst, nF4, $06
        dc.b    $03, nAb4, $06, nBb4
        smpsLoop            $00, $02, clashman_Loop0C
        smpsSetvoice        $04
        dc.b    nAb5, $03, nCs6, nF6, nAb5, nCs6, nF6, nAb5, nCs6, nBb5, nCs6, nF6
        dc.b    nBb5, nCs6, nF6, nBb5, nCs6, nC6, nCs6, nF6, nC6, nCs6, nF6, nC6
        dc.b    nCs6, nCs6, nEb6, nAb6, nCs6, nEb6, nAb6, nCs6, nEb6
        smpsSetvoice        $00

clashman_Loop0D:
        dc.b    nCs5, $06, nC5, $03, nAb4, $0F, nCs5, $06, nC5, $03, nAb4, $06
        dc.b    nC5, $03, nCs5, nEb5, nEb5, $06, nC5, $12, nCs6, $02, $01, $02
        dc.b    $01, nC6, $02, $01, $02, $01, nCs6, $03, nEb6, $09
        smpsLoop            $00, $02, clashman_Loop0D
        dc.b    nCs5, $03, $03, $03, $06, $03, $03, nAb4, nRst, nAb4, nBb4, $0C
        dc.b    nRst, $1E
        smpsJump            clashman_Jump01

; FM3 Data
clashman_FM3:
        smpsSetvoice        $01
        smpsPan             panCenter, $00
        dc.b    nBb3, $09, nF3, $03, nAb3, nBb3, $06, $06, $06, nF3, $03, nAb3
        dc.b    $06, nA3, nBb3, $09, nF3, $03, nAb3, nBb3, $06, $06, $06, nF3
        dc.b    $03, nCs4, $06, nC4

clashman_Loop07:
        dc.b    nAb3, $09, nEb3, $03, nFs3, nAb3, $06, $06, $06, nEb3, $03, nFs3
        dc.b    $06, nG3
        smpsLoop            $00, $02, clashman_Loop07
        dc.b    nBb3, $03, $03, $03, $03, $03, $09, nRst, $18

clashman_Loop09:
        dc.b    nBb3, $09, nF3, $03, nAb3, nBb3, $06, $06, $06, nF3, $03, nAb3
        dc.b    $06, nA3, nBb3, $09, nF3, $03, nAb3, nBb3, $06, $06, $06, nF3
        dc.b    $03, nCs4, $06, nC4

clashman_Loop08:
        dc.b    nAb3, $09, nEb3, $03, nFs3, nAb3, $06, $06, $06, nEb3, $03, nFs3
        dc.b    $06, nG3
        smpsLoop            $00, $02, clashman_Loop08
        smpsLoop            $01, $02, clashman_Loop09

clashman_Loop0A:
        dc.b    nFs3, $03, nCs4, nFs4, nFs3, nCs4, nFs4, nFs3, nCs4
        smpsLoop            $00, $02, clashman_Loop0A

clashman_Loop0B:
        dc.b    nAb3, nEb4, nAb4, nAb3, nEb4, nAb4, nAb3, nEb4
        smpsLoop            $00, $02, clashman_Loop0B
        smpsLoop            $01, $02, clashman_Loop0A
        dc.b    nBb3, $0C, nF3, $03, $06, nAb3, $15, nRst, $1E
        smpsJump            clashman_FM3

; FM4 Data
clashman_FM4:
        smpsSetvoice        $02

clashman_Jump00:
        dc.b    nRst, $7F, nRst, $71, nBb4, $30, $30
        smpsSetvoice        $00
        smpsAlterVol        $F5
        dc.b    nEb4, $18, nF4, nAb4, nEb5
        smpsSetvoice        $02
        smpsAlterVol        $0B
        dc.b    nBb4, $30, $30
        smpsSetvoice        $00
        smpsAlterVol        $F5
        dc.b    nEb4, $18, nF4, nAb4, nBb4, $0C, nC5

clashman_Loop06:
        smpsSetvoice        $02
        smpsAlterVol        $0B
        dc.b    nF5, $18, $18, nEb5
        smpsSetvoice        $05
        smpsAlterVol        $F5
        dc.b    nCs6, $06, nC6, nCs6, $03, nEb6, $09
        smpsLoop            $00, $02, clashman_Loop06
        smpsSetvoice        $02
        dc.b    nRst, $48
        smpsAlterVol        $0B
        smpsJump            clashman_Jump00

; FM5 Data
clashman_FM5:
        smpsSetvoice        $03
        dc.b    nA4

clashman_Loop02:
        dc.b    $03
        smpsLoop            $00, $43, clashman_Loop02
        dc.b    $27

clashman_Loop03:
        dc.b    $03
        smpsLoop            $00, $BF, clashman_Loop03
        dc.b    $21, $03, $03, $03, $03, $03, $03
        smpsSetvoice        $06
        smpsAlterVol        $01

clashman_Loop04:
        dc.b    $02, $01
        smpsLoop            $00, $04, clashman_Loop04
        smpsSetvoice        $03

clashman_Loop05:
        dc.b    $02, $01
        smpsLoop            $00, $04, clashman_Loop05
        smpsStop

; PSG1 Data
clashman_PSG1:
        dc.b    nBb1, $06, nRst, $03, nBb1, $06, nRst, $03, nBb1, $06, nRst, nBb1

clashman_Loop14:
        dc.b    nRst, $03, nBb1, $06
        smpsLoop            $00, $04, clashman_Loop14
        dc.b    nRst, nBb1, nRst, $03, nBb1, $06

clashman_Loop15:
        dc.b    nRst, $03, nAb1, $06
        smpsLoop            $00, $03, clashman_Loop15
        dc.b    nRst, nAb1, nRst, $03, nAb1, $06
        smpsLoop            $01, $02, clashman_Loop15
        dc.b    nRst, $03, nAb1, nEb1, nEb1, nEb1, nAb1, $09, nBb1, $03, nRst, $18

clashman_Loop17:
        dc.b    nBb1, $06, nRst, $03, nBb1, $06, nRst, $03, nBb1, $06, nRst, nBb1

clashman_Loop16:
        dc.b    nRst, $03, nBb1, $06
        smpsLoop            $00, $04, clashman_Loop16
        dc.b    nRst, nBb1, nRst, $03, nBb1, $06, nRst, $63
        smpsLoop            $01, $02, clashman_Loop17

clashman_Loop18:
        dc.b    nBb1, $06, nRst, $03, nBb1, $06, nRst, $09
        smpsLoop            $00, $02, clashman_Loop18
        dc.b    nAb1, $18, nRst
        smpsLoop            $01, $02, clashman_Loop18
        dc.b    nBb1, $03, $03, $03, $06, $03, $03, nAb1, $06, $03, nBb1, $06
        dc.b    nRst, $24
        smpsJump            clashman_PSG1

; PSG2 Data
clashman_PSG2:
        dc.b    nF1, $06, nRst, $03, nF1, $06, nRst, $03, nF1, $06, nRst, nF1

clashman_Loop0F:
        dc.b    nRst, $03, nF1, $06
        smpsLoop            $00, $04, clashman_Loop0F
        dc.b    nRst, nF1, nRst, $03, nF1, $06

clashman_Loop10:
        dc.b    nRst, $03, nEb1, $06
        smpsLoop            $00, $03, clashman_Loop10
        dc.b    nRst, nEb1, nRst, $03, nEb1, $06
        smpsLoop            $01, $02, clashman_Loop10
        dc.b    nRst, $03, nEb1, nAb1, nAb1, nAb1, nEb1, $09, nF1, $03, nRst, $18

clashman_Loop12:
        dc.b    nF1, $06, nRst, $03, nF1, $06, nRst, $03, nF1, $06, nRst, nF1

clashman_Loop11:
        dc.b    nRst, $03, nF1, $06
        smpsLoop            $00, $04, clashman_Loop11
        dc.b    nRst, nF1, nRst, $03, nF1, $06, nRst, $63
        smpsLoop            $01, $02, clashman_Loop12

clashman_Loop13:
        dc.b    nFs1, $06, nRst, $03, nFs1, $06, nRst, $09
        smpsLoop            $00, $02, clashman_Loop13
        dc.b    nEb1, $18, nRst
        smpsLoop            $01, $02, clashman_Loop13
        dc.b    nFs1, $03, $03, $03, $06, $03, $03, nEb1, $06, $03, nFs1, $06
        dc.b    nRst, $24
        smpsJump            clashman_PSG2

clashman_Voices:
;       Voice $00
;       $3A
;       $01, $07, $31, $71,     $8E, $8E, $8D, $53,     $0E, $0E, $0E, $06
;       $00, $00, $00, $00,     $1F, $FF, $1F, $2F,     $18, $28, $27, $00
        smpsVcAlgorithm     $02
        smpsVcFeedback      $07
        smpsVcUnusedBits    $00
        smpsVcDetune        $07, $03, $00, $00
        smpsVcCoarseFreq    $01, $01, $07, $01
        smpsVcRateScale     $01, $02, $02, $02
        smpsVcAttackRate    $13, $0D, $0E, $0E
        smpsVcAmpMod        $00, $00, $00, $00
        smpsVcDecayRate1    $06, $0E, $0E, $0E
        smpsVcDecayRate2    $00, $00, $00, $00
        smpsVcDecayLevel    $02, $01, $0F, $01
        smpsVcReleaseRate   $0F, $0F, $0F, $0F
        smpsVcTotalLevel    $00, $27, $28, $18

;       Voice $01
;       $2A
;       $50, $03, $11, $00,     $90, $CE, $CD, $9B,     $05, $0A, $09, $08
;       $00, $00, $12, $0C,     $09, $FF, $50, $4A,     $18, $27, $25, $00
        smpsVcAlgorithm     $02
        smpsVcFeedback      $05
        smpsVcUnusedBits    $00
        smpsVcDetune        $00, $01, $00, $05
        smpsVcCoarseFreq    $00, $01, $03, $00
        smpsVcRateScale     $02, $03, $03, $02
        smpsVcAttackRate    $1B, $0D, $0E, $10
        smpsVcAmpMod        $00, $00, $00, $00
        smpsVcDecayRate1    $08, $09, $0A, $05
        smpsVcDecayRate2    $0C, $12, $00, $00
        smpsVcDecayLevel    $04, $05, $0F, $00
        smpsVcReleaseRate   $0A, $00, $0F, $09
        smpsVcTotalLevel    $00, $25, $27, $18

;       Voice $02
;       $3C
;       $71, $41, $51, $11,     $12, $12, $12, $12,     $00, $00, $00, $00
;       $00, $00, $00, $00,     $00, $06, $00, $06,     $23, $00, $23, $00
        smpsVcAlgorithm     $04
        smpsVcFeedback      $07
        smpsVcUnusedBits    $00
        smpsVcDetune        $01, $05, $04, $07
        smpsVcCoarseFreq    $01, $01, $01, $01
        smpsVcRateScale     $00, $00, $00, $00
        smpsVcAttackRate    $12, $12, $12, $12
        smpsVcAmpMod        $00, $00, $00, $00
        smpsVcDecayRate1    $00, $00, $00, $00
        smpsVcDecayRate2    $00, $00, $00, $00
        smpsVcDecayLevel    $00, $00, $00, $00
        smpsVcReleaseRate   $06, $00, $06, $00
        smpsVcTotalLevel    $00, $23, $00, $23

;       Voice $03
;       $3A
;       $7B, $5B, $40, $40,     $9F, $1F, $1F, $1F,     $0F, $0B, $05, $0C
;       $0F, $19, $0C, $13,     $F9, $F5, $F9, $06,     $21, $01, $01, $00
        smpsVcAlgorithm     $02
        smpsVcFeedback      $07
        smpsVcUnusedBits    $00
        smpsVcDetune        $04, $04, $05, $07
        smpsVcCoarseFreq    $00, $00, $0B, $0B
        smpsVcRateScale     $00, $00, $00, $02
        smpsVcAttackRate    $1F, $1F, $1F, $1F
        smpsVcAmpMod        $00, $00, $00, $00
        smpsVcDecayRate1    $0C, $05, $0B, $0F
        smpsVcDecayRate2    $13, $0C, $19, $0F
        smpsVcDecayLevel    $00, $0F, $0F, $0F
        smpsVcReleaseRate   $06, $09, $05, $09
        smpsVcTotalLevel    $00, $01, $01, $21

;       Voice $04
;       $02
;       $5F, $06, $12, $01,     $9F, $91, $91, $51,     $07, $05, $00, $00
;       $09, $06, $00, $00,     $71, $83, $14, $05,     $25, $28, $1E, $00
        smpsVcAlgorithm     $02
        smpsVcFeedback      $00
        smpsVcUnusedBits    $00
        smpsVcDetune        $00, $01, $00, $05
        smpsVcCoarseFreq    $01, $02, $06, $0F
        smpsVcRateScale     $01, $02, $02, $02
        smpsVcAttackRate    $11, $11, $11, $1F
        smpsVcAmpMod        $00, $00, $00, $00
        smpsVcDecayRate1    $00, $00, $05, $07
        smpsVcDecayRate2    $00, $00, $06, $09
        smpsVcDecayLevel    $00, $01, $08, $07
        smpsVcReleaseRate   $05, $04, $03, $01
        smpsVcTotalLevel    $00, $1E, $28, $25

;       Voice $05
;       $3E
;       $38, $01, $7A, $34,     $59, $D9, $5F, $9C,     $0F, $04, $0F, $0A
;       $02, $02, $05, $05,     $AF, $AF, $66, $66,     $28, $00, $23, $00
        smpsVcAlgorithm     $06
        smpsVcFeedback      $07
        smpsVcUnusedBits    $00
        smpsVcDetune        $03, $07, $00, $03
        smpsVcCoarseFreq    $04, $0A, $01, $08
        smpsVcRateScale     $02, $01, $03, $01
        smpsVcAttackRate    $1C, $1F, $19, $19
        smpsVcAmpMod        $00, $00, $00, $00
        smpsVcDecayRate1    $0A, $0F, $04, $0F
        smpsVcDecayRate2    $05, $05, $02, $02
        smpsVcDecayLevel    $06, $06, $0A, $0A
        smpsVcReleaseRate   $06, $06, $0F, $0F
        smpsVcTotalLevel    $00, $23, $00, $28

;       Voice $06
;       $3A
;       $7B, $5B, $40, $40,     $9F, $1F, $1F, $1F,     $0F, $0B, $05, $0C
;       $0F, $19, $0C, $13,     $F9, $F5, $F9, $06,     $21, $01, $01, $00
        smpsVcAlgorithm     $02
        smpsVcFeedback      $07
        smpsVcUnusedBits    $00
        smpsVcDetune        $04, $04, $05, $07
        smpsVcCoarseFreq    $00, $00, $0B, $0B
        smpsVcRateScale     $00, $00, $00, $02
        smpsVcAttackRate    $1F, $1F, $1F, $1F
        smpsVcAmpMod        $00, $00, $00, $00
        smpsVcDecayRate1    $0C, $05, $0B, $0F
        smpsVcDecayRate2    $13, $0C, $19, $0F
        smpsVcDecayLevel    $00, $0F, $0F, $0F
        smpsVcReleaseRate   $06, $09, $05, $09
        smpsVcTotalLevel    $00, $01, $01, $21


